Class List Method List File List

# Class: Concurrent::Actor::Behaviour::RemovesChild

Inherits:
  Abstract
  - Object
  - Abstract
  - Concurrent::Actor::Behaviour::RemovesChild
  show all
Defined in:
  lib/concurrent/actor/behaviour/removes_child.rb

## Overview

Removes terminated children.

## Instance Attribute Summary (collapse)

- - (undocumented) core inherited from Abstract readonly
- - (undocumented) subsequent inherited from Abstract readonly

## Instance Method Summary (collapse)

- - (undocumented) on_envelope(envelope)

## Constructor Details

This class inherits a constructor from Concurrent::Actor::Behaviour::Abstract

## Instance Attribute Details

### - (`undocumented`) core (readonly) Originally defined in class Abstract

### - (`undocumented`) subsequent (readonly) Originally defined in class Abstract

## Instance Method Details

### - (`undocumented`) on_envelope(envelope)

    6
    7
    8
    9
    10
    11
    12

    # File 'lib/concurrent/actor/behaviour/removes_child.rb', line 6

    def on_envelope(envelope)
      if envelope.message == :remove_child
        core.remove_child envelope.sender
      else
        pass envelope
      end
    end